summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAaron W. Swenson <titanofold@gentoo.org>2018-03-25 10:27:26 -0400
committerAaron W. Swenson <titanofold@gentoo.org>2018-03-25 10:27:57 -0400
commit7882f1b8009fcad76af98f6f5e16d555de5b6349 (patch)
treef97d2d683233fbf949c572664d7c07ae19a20778 /app-office/gnucash
parentsys-kernel/gentoo-sources: Linux patch 4.15.13 (diff)
downloadgentoo-7882f1b8009fcad76af98f6f5e16d555de5b6349.tar.gz
gentoo-7882f1b8009fcad76af98f6f5e16d555de5b6349.tar.bz2
gentoo-7882f1b8009fcad76af98f6f5e16d555de5b6349.zip
app-office/gnucash: Remove Security Susceptible
Drop last release the relies on obsolete and vulnerable net-libs/webkit-gtk:2. Bug: https://bugs.gentoo.org/629114 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'app-office/gnucash')
-rw-r--r--app-office/gnucash/Manifest1
-rw-r--r--app-office/gnucash/gnucash-2.6.19.ebuild131
-rw-r--r--app-office/gnucash/metadata.xml11
3 files changed, 6 insertions, 137 deletions
diff --git a/app-office/gnucash/Manifest b/app-office/gnucash/Manifest
index 4ded7d909af..82edc37e306 100644
--- a/app-office/gnucash/Manifest
+++ b/app-office/gnucash/Manifest
@@ -1,4 +1,3 @@
-DIST gnucash-2.6.19.tar.bz2 13612124 BLAKE2B cc66e4d7994274bb2ad97437333dbe62b0e9228e20e05e01fc7861bc45a8f07bc56d2a69850eda301d5e7f679d96a9d28c24c56a4860cff6727b66867482deae SHA512 0a979caf48ba96d6f37a929036e7172855cfb03af8832f479966bce72fad3400903925134d33aaa31eb6b36a2041f5e0d3f74b88e95b83c7d76e96b1503bec13
DIST gnucash-2.7.4.tar.bz2 13364512 BLAKE2B 0a552efe5a4f024517c054516eb25b51abb2f934e6fc904afd4b0fb48283f9ebb89583b83b0efefba66d014df16c8997c413d05278d4290c44e4fa2278564b61 SHA512 d096ec2a3907dcd09c936f0a49ef6fb5028a17d2e0ade9e68eae7303530480ce19e08c1864efd862d363fda9ef6343260396b794b3c4ac74544baa2628a310eb
DIST gnucash-2.7.5.tar.bz2 13330271 BLAKE2B e06328050a2dd8e80e224cf13f51c1c7151e73f9a1c9f14581f33bfcf8bf07b273962620b7281637101eab8c5eff67a3e5e8e34d81f0c8d263ac33bf6d1eb40c SHA512 68cd6e6f61a43b8837e9efe693d22f62ebe10a8bb7d593814fb6a12d035d74ec1e444f53010ad53c6b1adf28c75aa482403c06052314a91636c2a8baa30e09af
DIST gnucash-2.7.7.tar.bz2 13368946 BLAKE2B 06e6815af713235ea31859532911303db4fa5e8dcd50b9111aa513795963eaca29a612eeced27399441f43563753d977468dfd901a49dfa689b5d36e7b985ebf SHA512 b7d91e87c4bc4e604560f4502a86deaafa4f636e9fe2af26db53b11da9f48986c970ba0ed08cb7172ca08a5fb2da451d26976963241206c388a33555c80f28fe
diff --git a/app-office/gnucash/gnucash-2.6.19.ebuild b/app-office/gnucash/gnucash-2.6.19.ebuild
deleted file mode 100644
index b9f08f0f1f4..00000000000
--- a/app-office/gnucash/gnucash-2.6.19.ebuild
+++ /dev/null
@@ -1,131 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-GNOME2_LA_PUNT="yes"
-PYTHON_COMPAT=( python2_7 )
-
-inherit autotools gnome2 python-single-r1
-
-DESCRIPTION="A personal finance manager"
-HOMEPAGE="http://www.gnucash.org/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
-IUSE="chipcard debug +doc gnome-keyring hbci mysql ofx postgres python quotes sqlite"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-# README.dependencies mentions qof, but ${PN} has their own fork in the
-# source code that appears to have deviated from that project.
-#
-# libdbi version requirement for sqlite taken from bug #455134
-RDEPEND="
- >=dev-libs/glib-2.32.0:2
- >=dev-libs/libxml2-2.5.10:2
- >=dev-libs/popt-1.5
- >=dev-scheme/guile-1.8.5:12=[deprecated,regex]
- <dev-scheme/guile-2.2
- >=net-libs/webkit-gtk-1.2:2
- >=sys-libs/zlib-1.1.4
- >=x11-libs/goffice-0.7.0:0.8[gnome]
- >=x11-libs/gtk+-2.24:2
- dev-libs/libxslt
- dev-scheme/guile-www
- gnome-base/dconf
- gnome-base/libgnomecanvas
- x11-libs/pango
- gnome-keyring? ( >=app-crypt/libsecret-0.18 )
- hbci? (
- >=net-libs/aqbanking-5[gtk,ofx?]
- sys-libs/gwenhywfar[gtk]
- chipcard? ( sys-libs/libchipcard )
- )
- mysql? (
- dev-db/libdbi
- dev-db/libdbi-drivers[mysql]
- )
- ofx? ( >=dev-libs/libofx-0.9.1 )
- postgres? (
- dev-db/libdbi
- dev-db/libdbi-drivers[postgres]
- )
- python? ( ${PYTHON_DEPS} )
- quotes? (
- >=dev-perl/Finance-Quote-1.11
- dev-perl/Date-Manip
- dev-perl/HTML-TableExtract
- )
- sqlite? (
- >=dev-db/libdbi-0.9.0
- >=dev-db/libdbi-drivers-0.9.0[sqlite]
- )
-"
-
-DEPEND="${RDEPEND}
- dev-util/intltool
- gnome-base/gnome-common
- sys-devel/libtool
- virtual/pkgconfig
-"
-
-PDEPEND="doc? (
- ~app-doc/gnucash-docs-${PV}
- gnome-extra/yelp
-)"
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- # Skip test that needs some locales to be present
- sed -i -e '/test_suite_gnc_date/d' src/libqof/qof/test/test-qof.c || die
-
- # We need to run eautoreconf to prevent linking against system libs,
- # this can be noticed, for example, when updating an old version
- # compiled against guile-1.8 to a newer one relying on 2.0
- # https://bugs.gentoo.org/show_bug.cgi?id=590536#c39
- # https://bugzilla.gnome.org/show_bug.cgi?id=775634
- eautoreconf
-
- gnome2_src_prepare
-}
-
-src_configure() {
- local myconf
-
- DOCS="doc/README.OFX doc/README.HBCI"
-
- if use sqlite || use mysql || use postgres ; then
- myconf+=" --enable-dbi"
- else
- myconf+=" --disable-dbi"
- fi
-
- # gtkmm is experimental and shouldn't be enabled, upstream bug #684166
- gnome2_src_configure \
- --disable-doxygen \
- --disable-error-on-warning \
- --disable-gtkmm \
- --enable-locale-specific-tax \
- $(use_enable debug) \
- $(use_enable gnome-keyring password-storage) \
- $(use_enable hbci aqbanking) \
- $(use_enable ofx) \
- $(use_enable python) \
- ${myconf}
-}
-
-src_install() {
- # Parallel installation fails from time to time, bug #359123
- # Usually reproducible after removing any gnucash installed copy
- MAKEOPTS="${MAKEOPTS} -j1" GNC_DOC_INSTALL_DIR=/usr/share/doc/${PF} \
- gnome2_src_install
-
- rm -rf "${ED}"/usr/share/doc/${PF}/{examples/,COPYING,INSTALL,*win32-bin.txt,projects.html}
- mv "${ED}"/usr/share/doc/${PF} "${T}"/cantuseprepalldocs || die
- dodoc "${T}"/cantuseprepalldocs/*
-}
diff --git a/app-office/gnucash/metadata.xml b/app-office/gnucash/metadata.xml
index 4c84c7d43e6..f0b8ab6233e 100644
--- a/app-office/gnucash/metadata.xml
+++ b/app-office/gnucash/metadata.xml
@@ -10,11 +10,12 @@
<name>Gentoo GNOME Desktop</name>
</maintainer>
<use>
- <flag name="aqbanking">Connect to some internet banks via AqBanking</flag>
- <flag name="chipcard">Enable support for chipcard reading and
- processing.</flag>
- <flag name="hbci">Enable HBCI support, for connecting to some internet
- banks</flag>
+ <flag name="aqbanking">
+ Connect to some internet banks via AqBanking
+ </flag>
+ <flag name="chipcard">
+ Enable support for chipcard reading and processing.
+ </flag>
<flag name="quotes">Enable Online Stock Quote retrieval</flag>
<flag name="register2">Use the new register (Experimental)</flag>
</use>